#ifndef __SOUND____H__
#define __SOUND____H__

// user-settable
enum soundMode {
    Auto = 0,
    Static = 1,
    Dynamic = 2
};

enum soundSamplingMode {
    SoundStaticSampling,
    SoundDynamicSampling
};

void sound_set_sampling_mode(enum soundSamplingMode mode);
void sound_set_user_mode(enum soundMode mode);

void sound_start();
void sound_destroy();

void sound_play();

void sound_add_sample(Uint8 isSpeakerActive, Uint64 totalTStates);
void sound_notify_end_of_frame();

#endif  // !__SOUND____H__
